<?php
// Validación del formulario
$email = filter_input(INPUT_POST, 'email', FILTER_VALIDATE_EMAIL);
$name = filter_input(INPUT_POST, 'name', FILTER_SANITIZE_STRING);

if (!$email || !$name) {
    // Si alguno de los valores es nulo o vacío, redirige al usuario a la página de inicio de sesión con un mensaje de error
    header('Location: index.html?error=1');
    exit;
}

// Generación del código
$code = substr(bin2hex(random_bytes(3)), 0, 6);

// Conexión a la base de datos
$host = "localhost";
$user = "tuya";
$password = "Equip@Tuya,22!";
$database = "TUYAcod";

$conn = mysqli_connect($host, $user, $password, $database);

if (!$conn) {
    // Si no se pudo conectar a la base de datos, redirige al usuario a la página de inicio de sesión con un mensaje de error
    header('Location: index.html?error=2');
    exit;
}

// Insertar datos en la base de datos
$query = "INSERT INTO usuarios (email, nombre, codigo) VALUES ('$email', '$name', '$code')";

if (mysqli_query($conn, $query)) {
    // Envío del correo electrónico
    $to = $email;
    $subject = "Código de inicio de sesión";
    $message = "Su código de inicio de sesión es: $code";
    $headers = "From: tu_correo@tudominio.com";

    if (mail($to, $subject, $message, $headers)) {
        // Redirige al usuario a la página de validación
        header('Location: validar-credenciales.php?email=' . urlencode($email));
        exit;
    } else {
        // Si ha habido un error en el envío del correo, redirige al usuario a la página de inicio de sesión con un mensaje de error
        header('Location: index.html?error=3');
        exit;
    }
} else {
    // Si ha habido un error al insertar los datos en la base de datos, redirige al usuario a la página de inicio de sesión con un mensaje de error
    header('Location: index.html?error=4');
    exit;
}

// Cerrar la conexión a la base de datos
mysqli_close($conn);
?>
