<?php
session_start();

// Comprobar si no se ha establecido la sesión o el valor de verificación
if (!isset($_SESSION['codigo_verificado']) || $_SESSION['codigo_verificado'] !== true) {
  // Redirigir a ingresar_codigo.php si no se ha verificado el código
  header("Location: ingresar_codigo.php");
  exit();
}

$nombre = $_SESSION['nombre'];
$correo = $_SESSION['correo'];
$codigo = $_SESSION['codigo'];

echo $nombre . "\n";
echo $correo . "\n";
echo $codigo . "\n";

?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>TUYA: Take Up Your Authority</title>
  <link rel="stylesheet" href="./style.css">
</head>
<body>
  <div class="banner">
    <img src="logo_TUYA_web.png" alt="TUYA: Take Up Your Authority">
  </div>
  
  <!-- Formulario de preguntas -->
  <form class="form" action="guardar_respuestas.php" method="POST">
    <!-- Pregunta 1 -->
    <div class="quest">
      <h2>Me resulta razonablemente fácil adaptarme a entornos y circunstancias cambiantes</h2> 
      <div class="likert">
        <label class="likert-label likert-label-top">Muy de acuerdo</label>
        <label>
          <input type="radio" name="p1" class="option1" value="1">
        </label>
        <label>
          <input type="radio" name="p1" class="option2" value="2">
        </label>
        <label>
          <input type="radio" name="p1" class="option3" value="3">
        </label>
        <label>
          <input type="radio" name="p1" class="option4" value="4">
        </label>
        <label>
          <input type="radio" name="p1" class="option5" value="5">
        </label>
        <label>
          <input type="radio" name="p1" class="option6" value="6">
        </label>
        <span class="likert-label">Muy de acuerdo</span>    
      </div>
      <div class="linea"></div>
    </div>
    <!-- Pregunta 2 -->
    <div class="quest">
      <h2>Pregunta X</h2> 
      <div class="likert">
        <label class="likert-label likert-label-top">Muy de acuerdo</label>
        <label>
          <input type="radio" name="p2" class="option1" value="1">
        </label>
        <label>
          <input type="radio" name="p2" class="option2" value="2">
        </label>
        <label>
          <input type="radio" name="p2" class="option3" value="3">
        </label>
        <label>
          <input type="radio" name="p2" class="option4" value="4">
        </label>
        <label>
          <input type="radio" name="p2" class="option5" value="5">
        </label>
        <label>
          <input type="radio" name="p2" class="option6" value="6">
        </label>
        <span class="likert-label">Muy de acuerdo</span>    
      </div>
      <div class="linea"></div>      
    </div>
    <!-- Pregunta 3 -->
    <div class="quest">
      <h2>Pregunta X</h2> 
      <div class="likert">
        <label class="likert-label likert-label-top">Muy de acuerdo</label>
        <label>
          <input type="radio" name="p3" class="option1" value="1">
        </label>
        <label>
          <input type="radio" name="p3" class="option2" value="2">
        </label>
        <label>
          <input type="radio" name="p3" class="option3" value="3">
        </label>
        <label>
          <input type="radio" name="p3" class="option4" value="4">
        </label>
        <label>
          <input type="radio" name="p3" class="option5" value="5">
        </label>
        <label>
          <input type="radio" name="p3" class="option6" value="6">
        </label>
        <span class="likert-label">Muy de acuerdo</span>    
      </div>
      <div class="linea"></div>      
    </div>
    <!-- Pregunta 4 -->
    <div class="quest">
      <h2>Pregunta X</h2> 
      <div class="likert">
        <label class="likert-label likert-label-top">Muy de acuerdo</label>
        <label>
          <input type="radio" name="p4" class="option1" value="1">
        </label>
        <label>
          <input type="radio" name="p4" class="option2" value="2">
        </label>
        <label>
          <input type="radio" name="p4" class="option3" value="3">
        </label>
        <label>
          <input type="radio" name="p4" class="option4" value="4">
        </label>
        <label>
          <input type="radio" name="p4" class="option5" value="5">
        </label>
        <label>
          <input type="radio" name="p4" class="option6" value="6">
        </label>
        <span class="likert-label">Muy de acuerdo</span>    
      </div> 
      <div class="linea"></div>     
    </div>
  </form>

  <!-- Después del formulario -->
  <div id="resultsPage" style="display: none;">
    <h1>Resultados</h1>
    <div id="resultsContainer"></div>
  </div>

  <!-- Botón Siguiente -->
  <div>
    <button id="nextBtn" onclick="nextPage()">Siguiente</button>
  </div>
  <!-- Archivo de script -->
  <script src="./script.js"></script>
</body>
</html>
